# Barcode & Bankcard

## Barcode

### The method use to Scan Barcode

```
AccurascanKyc.startBarcode(passArgs, function (error, success));
```

### *Parameter*:&#x20;

In the above method, the 'passArgs' parameter is an array that consists of the 'Selected Barcode' value. The specific value for the 'Selected Barcode' will be provided by the license.

***passArgs***: \[BarcodeType]

* BarcodeType: String&#x20;

### ***Response:***&#x20;

***Success***: JSON Response\
\&#xNAN;***Error***: String

#### Example Function:

```
onPressBarcode = () => {
   let passArgs = [this.barcodeSelected];
   AccurascanKyc.startBarcode(passArgs, (error, response) => {
     if (error != null) {
       console.log(error);
     } else {
       console.log('Success!', response);
     }
   });
};
```

## Bankcard

### The method use to Scan Bankcard

```
AccurascanKyc.startBankCard(function (error, success));
```

### ***Response:***&#x20;

***Success***: JSON Response\
\&#xNAN;***Error***: String

#### Example Function:

```
onPressBankcard = () => {
 AccurascanKyc.startBankCard((error, response) => {
   if (error != null) {
     console.log(error);
   } else {
      console.log('Success!', response);
   }
 });
};
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.accurascan.com/language/react-native/functions/barcode-and-bankcard.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
